Paragraph (PMII - Principia Mathematica II)
Keywords: com.meyling.principia.logic.paragraph.Paragraph class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.meyling.principia.logic.paragraph
Class Paragraph

    java.lang.Object
      com.meyling.principia.argument.AbstractArgument
          com.meyling.principia.argument.AbstractDynamicArgumentList
              com.meyling.principia.logic.paragraph.Paragraph

All Implemented Interfaces:
  Argument

public class Paragraph
extends AbstractDynamicArgumentList
implements Argument

A paragraph contains an axiom, an abbreviation or a proposition of a mathematical theory.

Version:
  $Revision: 1.6 $
Author:
  Michael Meyling

Constructor Summary
`Paragraph(Argument[] arguments)` Constructs a paragraph.

Method Summary
`void` | `check(Module module)` Check if this paragraph could be added.
`Argument` | `create(Argument[] arguments)` Create a new Argument with given arguments.
`String` | `getFollowingText()` Get the following text of this paragraph.
`String` | `getLabel()` Get the label of this paragraph.
`ParagraphCheck` | `getParagraphCheck()` Get the meat of this paragraph.
`String` | `getPreceedingText()` Get the preceeding text of this paragraph.
`String` | `toString()` Get the argument in `String` form.

Methods inherited from class com.meyling.principia.argument.AbstractDynamicArgumentList
`add, copy, getArgument, getArgumentSize, insert, remove, replace`

Methods inherited from class com.meyling.principia.argument.AbstractArgument
`containsPatternVariables, equals, getHighestNumber, getPatternVariables, getReplacementParents, getSearchParents, hashCode, matches, matches, replace, replace, replace, replaceMatches`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.meyling.principia.argument.Argument
`containsPatternVariables, copy, equals, getArgument, getArgumentSize, getPatternVariables, getReplacementParents, getSearchParents, hashCode, matches, matches, replace, replace, replace, replaceMatches`

Constructor Detail

### Paragraph

    public Paragraph(Argument[] arguments)
              throws ArgumentException

  Constructs a paragraph.

Parameters:
  `arguments` - list of arguments
Throws:
  `ArgumentException` - if argument list is not like `LinkLabel` `Text`? (`Abbreviation` | `Axiom` | `Proposition`) `Text`?

  the question mark is for an optional argument the pipe symbol is an exclusive "or"

Method Detail

### getLabel

    public final String getLabel()

  Get the label of this paragraph.

  Returns:
    the label of this paragraph

### getPreceedingText

    public final String getPreceedingText()

  Get the preceeding text of this paragraph.

  Returns:
    the preceedingText of this paragraph

### getFollowingText

    public final String getFollowingText()

  Get the following text of this paragraph.

  Returns:
    the followingText of this paragraph

### getParagraphCheck

    public final ParagraphCheck getParagraphCheck()

  Get the meat of this paragraph.

  Returns:
    the `Axiom`, `Abbreviation`, `Proposition`, etc.

### check

    public final void check(Module module)
                     throws ArgumentException

  Check if this paragraph could be added.

  Parameters:
    `module` - module
  Throws:
    `ArgumentException` - if addition is impossible

### create

    public final Argument create(Argument[] arguments)
                          throws ArgumentException

  Description copied from interface: `Argument`
  Create a new Argument with given arguments.

  Specified by:
    `create` in interface `Argument`
  Specified by:
    `create` in class `AbstractDynamicArgumentList`
  Throws:
    `ArgumentException`

### toString

    public final String toString()

  Description copied from interface: `Argument`
  Get the argument in `String` form.

  Specified by:
    `toString` in interface `Argument`
  Specified by:
    `toString` in class `AbstractDynamicArgumentList`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

©left GNU General Public Licence All Rights Reserved.